import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
//  strict
import PropTypes from 'prop-types';
import * as React from 'react';
import styled from 'styled-components';
import Text from '../../Atoms/Typography/Text';
var Wrapper =
/*#__PURE__*/
styled(Text).attrs({
  size: '1rem',
  weight: 600
}).withConfig({
  componentId: "sc-11zjji7-0"
})(["\n  color: ", ";\n\n  @media (min-width: ", ") {\n    color: ", ";\n  }\n"], function (props) {
  return props.theme['navbarDropdownTitleMobileColor'];
}, function (props) {
  return props.theme.screenSizes.sm;
}, function (props) {
  return props.theme['navbarDropdownTitleColor'];
});

var NavbarDropdownItemTitle = function NavbarDropdownItemTitle(_ref) {
  var children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(Wrapper, rest, children);
};

NavbarDropdownItemTitle.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node
} : {};
export default NavbarDropdownItemTitle;